Browse Source

Force cmake 3.11 because of changes in add_executable
Remove Ubuntu 18.04 arm target as it use an old cmake.

Godzil 6 months ago
parent
commit
45f5f8098e
2 changed files with 3 additions and 13 deletions
  1. 2 12
      .travis.yml
  2. 1 1
      CMakeLists.txt

+ 2 - 12
.travis.yml

@@ -54,11 +54,6 @@ jobs:
       arch: arm64
       compiler: gcc
 
-    - os: linux
-      dist: bionic
-      arch: arm64
-      compiler: gcc
-
     - os: osx
       compiler: clang
       osx_image: xcode10.3
@@ -73,6 +68,8 @@ jobs:
 
     - stage: "Coverage"
       os: linux
+      dist: bionic
+      arch: amd64
       compiler: gcc
       script:
         - mkdir coverage
@@ -88,10 +85,3 @@ jobs:
       arch: arm64
 
     - os: osx
-      osx_image: xcode10.3
-
-    - os: osx
-      osx_image: xcode11.6
-
-    - os: osx
-      osx_image: xcode12

+ 1 - 1
CMakeLists.txt

@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.11)
 
 include(ExternalProject)